#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		shortname	%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	xorg-libXau
Version		:	1.0.9
Release		:	16.2.0.rel%{?dist}
Summary		:	Simple Authorization Protocol for X
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://www.x.org/archive/individual/lib/

Source0		:	%{shortname}-%{version}.tar.bz2
#---------------------------------------------------------
Provides	:	libXau

BuildRequires	:	fontconfig-devel
BuildRequires	:	xorgproto
#-----------------------------------------------------------------------------
%description
This is a very simple mechanism for providing individual access to an X Window
System display.It uses existing core protocol and library hooks for specifying
authorization data in the connection setup block to restrict use of the display
to only those clients that show that they know a server-specific key
called a "magic cookie".
#---------------------------------------------------------
%prep
%setup -q -n %{shortname}-%{version}

#building application
%build

./configure						\
	$XORG_CONFIG					\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	INSTALL="install -p"				\
	DESTDIR=%{buildroot}				\
	install
	

%files			
%defattr(-,root,root,-)

%doc AUTHORS
%{_includedir}/X11/Xauth.h
%{_libdir}/%{shortname}.{la,so*}
%{_libdir}/pkgconfig/xau.pc
%{_mandir}/man3/*.3.gz

%pre

#after upgrade or remove
%preun

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig

%changelog
